<!DOCTYPE html>
<html lang="en"
      xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layouts/admin_panel_layout}">
<head>
    <meta charset="UTF-8">
    <title>Products</title>
</head>
<body>
<div layout:fragment="admin_panel_content" class="container mt-2">
    <h4 th:text="${action.equalsIgnoreCase('create') ? 'New Product' : 'Edit Product'}">Product</h4>
    <form method="post"
          th:action="@{/products/__${action.equalsIgnoreCase('create') ? 'new' : 'update'}__}"
          th:object="${product}">
        <input type="hidden" th:field="*{id}">
        <div th:replace="fragments/form_input
                :: formInput (field = 'name', value = *{name}, label = 'Name', required = true, class = 'col-12 col-md-6')"></div>
        <div th:replace="fragments/form_input
                :: formInput (field = 'brandName', value = *{brandName}, label = 'Brand', class = 'col-12 col-md-6')"></div>
        <div th:replace="fragments/form_input
                :: formInput (type = 'number', field = 'price', value = *{price}, label = 'Price', required = true, class = 'col-12 col-md-6')"></div>

        <div class="form-group col-12 col-md-6">
            <label th:for="${'categoryId'}" th:text="${'Product Category'}">label_text</label>
            <select th:id="${'categoryId'}" th:name="${'categoryId'}" class="form-control col-12 col-md-6"
                    th:classappend="${errors != null && errors.fieldHasErrors('categoryId') ? 'is-invalid' : ''}">
                <option value="-1"
                        th:selected="${product.category == null}">
                    None
                </option>
                <!--/*@thymesVar id="categories" type="java.util.List<com.example.internetshop.models.domain.ProductCategory>"*/-->
                <option th:each="cat : ${categories}"
                        th:value="${cat.id}"
                        th:text="${cat.name}"
                        th:selected="${product.category != null ? (product.category.id == cat.id) : false}">
                    select item
                </option>
            </select>
            <!--/*@thymesVar id="errors" type="com.example.internetshop.models.ErrorMap"*/-->
            <div class="invalid-feedback">
                <ul class="list-unstyled" th:if="${errors != null}">
                    <li th:each="e : ${errors.getFieldErrors('categoryId')}" th:text="${e}">error message</li>
                </ul>
            </div>
        </div>

        <div class="form-group col-12 col-md-6">
            <button type="submit" class="btn btn-primary">Save</button>
            <a th:href="@{/products}" class="btn btn-secondary">Cancel</a>
        </div>
    </form>
</div>
</body>
</html>